"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var core_1 = require('@angular/core');
var node_service_1 = require('../../services/node.service');
var FileViewComponent = (function () {
    function FileViewComponent(nodeService) {
        this.nodeService = nodeService;
        this.debug = false;
    }
    FileViewComponent.prototype.ngOnInit = function () {
        var _this = this;
        this.nodeService
            .getNodeInfo(this.nodeId)
            .then(function (node) {
            _this.node = node;
            if (node && node.content && node.content.mimeType) {
                _this.mimeType = node.content.mimeType;
                _this.contentUrl = _this.nodeService.getContentUrl(_this.nodeId);
            }
        });
    };
    __decorate([
        core_1.Input(), 
        __metadata('design:type', String)
    ], FileViewComponent.prototype, "nodeId", void 0);
    __decorate([
        core_1.Input(), 
        __metadata('design:type', Boolean)
    ], FileViewComponent.prototype, "debug", void 0);
    FileViewComponent = __decorate([
        core_1.Component({
            selector: 'alf-file-view',
            template: "\n    <div *ngIf=\"contentUrl\" [ngSwitch]=\"mimeType\">\n      <div *ngSwitchCase=\"'video/mp4'\">\n        <video controls autoplay class=\"video-player\">\n          <source [src]=\"contentUrl\" type=\"video/mp4\">\n        </video>\n      </div>\n      <div *ngSwitchCase=\"'image/png'\">\n        <img [src]=\"contentUrl\">\n      </div>\n      <div *ngSwitchCase=\"'image/jpeg'\">\n        <img [src]=\"contentUrl\">\n      </div>\n      <div *ngSwitchCase=\"'image/gif'\">\n        <img [src]=\"contentUrl\">\n      </div>\n      <div *ngSwitchDefault>\n        <span>Unsupported file type: {{mimeType}}</span>\n        <pre *ngIf=\"debug\">{{node | json}}</pre>\n      </div>\n    </div>\n  "
        }), 
        __metadata('design:paramtypes', [node_service_1.NodeService])
    ], FileViewComponent);
    return FileViewComponent;
}());
exports.FileViewComponent = FileViewComponent;

//# sourceMappingURL=file-view.js.map
