"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var core_1 = require('@angular/core');
var api_service_1 = require('./api.service');
var auth_service_1 = require('./auth.service');
var NodeService = (function () {
    function NodeService(api, auth) {
        this.api = api;
        this.auth = auth;
        this.baseImagePath = 'build/images';
        this.mimeTypeIcons = {
            'image/png': 'ft_ic_raster_image.svg',
            'image/jpeg': 'ft_ic_raster_image.svg',
            'image/gif': 'ft_ic_raster_image.svg',
            'application/pdf': 'ft_ic_pdf.svg',
            'application/vnd.ms-excel': 'ft_ic_ms_excel.svg',
            'application/vnd.openxmlformats-officedocument.spreadsheetml.sheet': 'ft_ic_ms_excel.svg',
            'application/vnd.openxmlformats-officedocument.spreadsheetml.template': 'ft_ic_ms_excel.svg',
            'application/msword': 'ft_ic_ms_word.svg',
            'application/vnd.openxmlformats-officedocument.wordprocessingml.document': 'ft_ic_ms_word.svg',
            'application/vnd.openxmlformats-officedocument.wordprocessingml.template': 'ft_ic_ms_word.svg',
            'application/vnd.ms-powerpoint': 'ft_ic_ms_powerpoint.svg',
            'application/vnd.openxmlformats-officedocument.presentationml.presentation': 'ft_ic_ms_powerpoint.svg',
            'application/vnd.openxmlformats-officedocument.presentationml.template': 'ft_ic_ms_powerpoint.svg',
            'application/vnd.openxmlformats-officedocument.presentationml.slideshow': 'ft_ic_ms_powerpoint.svg',
            'video/mp4': 'ft_ic_video.svg',
            'text/plain': 'ft_ic_document.svg',
            'application/x-javascript': 'ft_ic_document.svg',
            'application/json': 'ft_ic_document.svg',
            'image/svg+xml': 'ft_ic_vector_image.svg',
            'text/html': 'ft_ic_website.svg',
            'application/x-compressed': 'ft_ic_archive.svg',
            'application/x-zip-compressed': 'ft_ic_archive.svg',
            'application/zip': 'ft_ic_archive.svg',
            'application/vnd.apple.keynote': 'ft_ic_presentation.svg',
            'application/vnd.apple.pages': 'ft_ic_document.svg',
            'application/vnd.apple.numbers': 'ft_ic_spreadsheet.svg'
        };
    }
    NodeService.prototype.getNodeThumbnailUrl = function (node) {
        if (node.isFolder) {
            return this.baseImagePath + "/ft_ic_folder.svg";
        }
        if (node.isFile) {
            if (node.content) {
                var mimeType = node.content.mimeType;
                if (mimeType) {
                    var icon = this.getMimeTypeIcon(mimeType);
                    if (icon) {
                        return this.baseImagePath + "/" + icon;
                    }
                }
            }
        }
        return this.baseImagePath + "/" + NodeService.DEFAULT_MIME_TYPE_ICON;
    };
    NodeService.prototype.getMimeTypeIcon = function (mimeType) {
        var icon = this.mimeTypeIcons[mimeType];
        return icon || NodeService.DEFAULT_MIME_TYPE_ICON;
    };
    NodeService.prototype.getNodeChildren = function (nodeId) {
        var options = {
            include: ['path']
        };
        var api = this.api.getInstance();
        return api.nodes.getNodeChildren(nodeId || '-root-', options);
    };
    NodeService.prototype.getNodeInfo = function (nodeId) {
        var api = this.api.getInstance();
        return api.nodes.getNodeInfo(nodeId);
    };
    NodeService.prototype.getContentUrl = function (nodeId) {
        var api = this.api.getInstance();
        return api.content.getContentUrl(nodeId);
    };
    NodeService.prototype.isImage = function (node) {
        if (node && node.isFile && node.content) {
            var mimeType = node.content.mimeType;
            return ['image/png', 'image/jpeg', 'image/gif'].indexOf(mimeType) > -1;
        }
        return false;
    };
    NodeService.DEFAULT_MIME_TYPE_ICON = 'ft_ic_miscellaneous.svg';
    NodeService = __decorate([
        core_1.Injectable(), 
        __metadata('design:paramtypes', [api_service_1.ApiService, auth_service_1.AuthService])
    ], NodeService);
    return NodeService;
}());
exports.NodeService = NodeService;

//# sourceMappingURL=node.service.js.map
